Subject: bug#37079: 26.2.90 feature request; bury-frame command for desktop-wm

From: VanL <[email-masked]>
Date: Mon, 19 Aug 2019 19:31:13 +1000

> On 19 Aug 2019, at 17:38, martin rudalics <[email-masked]> wrote:
> 
> What should 'bury-frame' do?  In which sense would it be different
> from 'lower-frame'?  How would you return-back-to a buried frame?

The two terms are synonymous.  I searched for the idea closest to 'lower-frame' on the web and used 'bury-frame' in this feature request for the reason that `bury' is what is done to move a buffer to the `bottom' of a 'listing of buffers'.

Use case: I am editing within an Emacs frame.  I context switch to another app and want to lower (or bury) the Emacs frame with a quick keyboard shortcut.  After completing the task at the other app which has taken my hand to the mouse I want to continue on that lowered Emacs frame by clicking on that.  To bury the frame completely without any part of it showing for mouse clicking to raise is a corner case I may not want all of the time.

--
v.